package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class PhysicalFibreChannelAdapter {
    private Metadata metadata;
    private String adapterID;
    private String description;
    private String deviceName;
    private String dynamicReconfigurationConnectorName;
    private String physicalLocation;
    private PhysicalFibreChannelPorts physicalFibreChannelPorts;

    public PhysicalFibreChannelAdapter() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAdapterID() {
        return adapterID;
    }

    public void setAdapterID(String adapterID) {
        this.adapterID = adapterID;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getPhysicalLocation() {
        return physicalLocation;
    }

    public void setPhysicalLocation(String physicalLocation) {
        this.physicalLocation = physicalLocation;
    }

    public PhysicalFibreChannelPorts getPhysicalFibreChannelPorts() {
        return physicalFibreChannelPorts;
    }

    public void setPhysicalFibreChannelPorts(PhysicalFibreChannelPorts physicalFibreChannelPorts) {
        this.physicalFibreChannelPorts = physicalFibreChannelPorts;
    }

    @Override
    public String toString() {
        return "IOAdapter [metadata=" + metadata + ", adapterID=" + adapterID + ", description=" + description
            + ", deviceName=" + deviceName + ", dynamicReconfigurationConnectorName="
            + dynamicReconfigurationConnectorName + ", physicalLocation=" + physicalLocation
            + ", physicalFibreChannelPorts=" + physicalFibreChannelPorts + "]";
    }
}
